<?php
    header("Access-Control-Allow-Origin: *");
    header("Content-Type: application/json; charset=UTF-8");
    header("Access-Control-Allow-Methods: POST");
    header("Access-Control-Max-Age: 3600");
    header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

    include_once '../config/database.php';
    include_once '../class/category.php';
    
       // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';


if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}

    $database = new Database();
    $db = $database->getConnection();   
    $items = new Category($db);
    $items->DepartmentID= isset($_GET['DepartmentID']) ? $_GET['DepartmentID'] : die();
    
   
    $stmt = $items->getCategory();
    $itemCount = $stmt->rowCount();


    if($itemCount > 0){
        
        $categoryArr = array();
        
        $total = 0;
       
        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
            extract($row);
            $e = array(
                "ID" =>  $ID,
                "Name" => $Name,
                "Code" => $Code,
                "DepartmentID" => $DepartmentID,
               
            );

           
            array_push($categoryArr, $e);
        }
        echo json_encode($categoryArr);
    }
    else{
        $noItemsArr = array();
        echo json_encode($noItemsArr);
    }
    
    
?>



