<?php
    header("Access-Control-Allow-Origin: *");
    header("Content-Type: application/json; charset=UTF-8");
    header("Access-Control-Allow-Methods: POST");
    header("Access-Control-Max-Age: 3600");
    header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

    include_once '../config/database.php';
    include_once '../class/transactions.php';
    
      // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';


if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}

    $database = new Database();
    $db = $database->getConnection();   
    $items = new Transaction($db);
    $items->Cardno= isset($_GET['Cardno']) ? $_GET['Cardno'] : die();

  
    $stmt = $items->getTransaction();
    $itemCount = $stmt->rowCount();


    if($itemCount > 0){
        
        $employeeArr = array();
        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
            extract($row);
            $e = array(
                "ID" =>  $ID,
                "Register" => $Register,
                "sdatetime" => $sdatetime,
                "TransactionNo" => $TransactionNo,
                "Description" => $Description,
                "TransactionAmt" => $TransactionAmt,
                "Pointsb4trn" => $Pointsb4trn,
                "Points" => $Points,
                "uuser" => $uuser,
                "STID" => $STID,
                "Cardno" => $Cardno,
                "Branch" => $Branch
            );
           
            array_push($employeeArr, $e);
        }
        echo json_encode($employeeArr);
    }
    else{
        http_response_code(404);
        echo json_encode(
            array("message" => "No record found.")
        );
    }

    
?>



